Overview

Update user role

Update user role

PUT/v2/users/{id}/role
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input2
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path)
rolestring · bodyrequired
Role identifier to assign to the user
Output4
emailstring
User's email address
idstring
Unique identifier for the user
namestring
User's full name
roleobject
Detailed information about a user's role
Responses
200User
Example input
curl -X PUT 'https://api.axiom.co/v2/users/{id}/role' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"role":"admin"}'
Example output
{
  "email": "john.doe@example.com",
  "id": "usr_123456789",
  "name": "John Doe",
  "role": {
    "id": "role_123456789",
    "name": "Organization Admin"
  }
}

Updated

Was this page helpful?